::selection {
  background: #81a8e6;
}

img#hexxen-logo {
  position: fixed;
  left: 110px;
  top: 2px;
  border: none;
  z-index: var(--z-index-ui);
  pointer-events: all;
  cursor: pointer;
}
#ui-top {
  margin-left: 120px;
}
#ui-top.offset {
  margin-left: 30px;
}

.hexxen {
  --hexxen-dark-color: rgb(8, 75, 10);
  --hexxen-light-color: rgb(188, 206, 185);

  --hexxen-title-color: var(--hexxen-dark-color);
  --hexxen-minimized-title-color: rgba(8, 75, 10, 0.75);
  --hexxen-sheet-background-image: url("/systems/hexxen-1733/img/parchment_green.png");
  --hexxen-sheet-background-color: rgb(210, 213, 197);
  --hexxen-nav-background-image: url("/systems/hexxen-1733/img/navbar_green.png");
  --hexxen-nav-active-background-image: url("/systems/hexxen-1733/img/navbar_active_green.png");
  --hexxen-nav-bgcolor: var(--hexxen-dark-color);
  --hexxen-nav-color: rgb(205, 205, 186);
  --hexxen-nav-shadow-color: rgb(90, 181, 14);
  --hexxen-nav-shadow-color2: black;
  --hexxen-nav-active-bgcolor: var(--hexxen-nav-bgcolor);
  --hexxen-nav-active-color: var(--color-text-dark-primary);
  --hexxen-nav-active-shadow-color: var(--hexxen-nav-color);
  --hexxen-nav-active-shadow-color2: white;
  --hexxen-nav-border: unset;

  --hexxen-highlight-even-color: rgba(255, 255, 255, 0.5); /* brighten */
  --hexxen-highlight-odd-color:rgba(8, 75, 10, 0.15);
  --hexxen-highlight-hover-color:rgba(8, 75, 10, 0.3);

  --hexxen-seperator-image: url("/systems/hexxen-1733/img/seperator_green.png");

  --hexxen-header-color: var(--hexxen-dark-color);
  --hexxen-header-bgcolor: rgba(8, 75, 10, 0.4);
  --hexxen-header-border: 1px solid rgba(8, 75, 10, 0.8);
  
  --hexxen-box-border: 1px solid var(--hexxen-dark-color);
  --hexxen-table-border: 1px solid var(--hexxen-highlight-even-color);

  --hexxen-label-color: var(--hexxen-dark-color);
  --hexxen-hint-color: var(--hexxen-dark-color);

  --hexxen-value-span-bgcolor: rgba(255, 255, 255, 0.3); /* brighten */
  --hexxen-value-span-border: 1px solid var(--hexxen-dark-color);
  --hexxen-input-bgcolor: rgba(255, 255, 255, 0.8); /* brighten */
  --hexxen-input-bordercolor: var(--hexxen-dark-color);
  --hexxen-input-placeholder-color: var(--hexxen-light-color);
  --hexxen-editor-bgcolor: var(--hexxen-input-bgcolor);
  --hexxen-editor-border: 1px solid var(--hexxen-dark-color);

  --hexxen-alert-color: red;
  --hexxen-warning-bgcolor: yellow;
  --hexxen-warning-border: 1px solid orange;

  --hexxen-chat-dice-size: 24px;

  --color-shadow-primary: var(--hexxen-dark-color);

  scrollbar-color: var(--hexxen-light-color) var(--hexxen-dark-color);

  /* TODO: Absolute Pfadangaben für Grafiken wegen Safari. Pfad validieren! */
}

.hexxen.theme-red {
  --hexxen-dark-color: rgb(120, 55, 60);
  --hexxen-light-color: rgb(185, 145, 95);

  --hexxen-minimized-title-color: rgba(120, 55, 60, 0.75);
  --hexxen-sheet-background-image: url("/systems/hexxen-1733/img/parchment_red.png");
  --hexxen-sheet-background-color: rgb(215, 210, 200);
  --hexxen-nav-background-image: url("/systems/hexxen-1733/img/navbar_red.png");
  --hexxen-nav-active-background-image: url("/systems/hexxen-1733/img/navbar_active_red.png");
  --hexxen-nav-color: rgb(221, 199, 169);
  --hexxen-nav-shadow-color: rgb(217, 7, 7);

  --hexxen-highlight-odd-color: rgba(140, 40, 20, 0.15);
  --hexxen-highlight-hover-color:rgba(140, 40, 20, 0.3);

  --hexxen-seperator-image: url("/systems/hexxen-1733/img/seperator_red.png");

  --hexxen-header-bgcolor: rgba(130, 50, 0, 0.3);
  --hexxen-header-border: 1px solid rgba(170, 120, 75, 0.8);
}

/* identical with default values */
.hexxen.theme-green {
  --hexxen-dark-color: rgb(8, 75, 10);
  --hexxen-light-color: rgb(188, 206, 185);

  --hexxen-minimized-title-color: rgba(8, 75, 10, 0.75);
  --hexxen-sheet-background-image: url("/systems/hexxen-1733/img/parchment_green.png");
  --hexxen-sheet-background-color: rgb(210, 213, 197);
  --hexxen-nav-background-image: url("/systems/hexxen-1733/img/navbar_green.png");
  --hexxen-nav-active-background-image: url("/systems/hexxen-1733/img/navbar_active_green.png");
  --hexxen-nav-color: rgb(205, 205, 186);
  --hexxen-nav-shadow-color: rgb(90, 181, 14);

  --hexxen-highlight-odd-color:rgba(8, 75, 10, 0.15);
  --hexxen-highlight-hover-color:rgba(8, 75, 10, 0.3);

  --hexxen-seperator-image: url("/systems/hexxen-1733/img/seperator_green.png");

  --hexxen-header-bgcolor: rgba(8, 75, 10, 0.4);
  --hexxen-header-border: 1px solid rgba(8, 75, 10, 0.8);
}

.hexxen.world,
.hexxen.compendium {
  --hexxen-title-color: #666;
  --hexxen-minimized-title-color: rgba(96, 96, 96, 0.75);
  --hexxen-sheet-background-color: #bbb;
}

.hexxen.app {
  background: unset;
  background-color: var(--hexxen-title-color);
}
.hexxen.app.minimized {
  background-color: var(--hexxen-minimized-title-color);
}
.hexxen .sheet img {
  max-width: unset;
}
.hexxen .sheet-header img[data-edit] {
  cursor: pointer;
}

.hexxen .allow-break {
  word-break: break-word;
}
.hexxen .flexrow {
  flex-wrap: unset; /* override system preset */
}
.hexxen .table {
  display: table;
  width: 100%;
  border: var(--hexxen-table-border);
}
.hexxen .table .tr {
  display: table-row;
}
.hexxen .table .tr:nth-child(2n) {
  background-color: var(--hexxen-highlight-even-color);
}
.hexxen .table .tr:nth-child(2n+1) {
  background-color: var(--hexxen-highlight-odd-color);
}
.hexxen .table .tr:hover {
  background-color: var(--hexxen-highlight-hover-color) !important;
}
.hexxen .table .td {
  display: table-cell;
  padding: 2px 6px;
}
.hexxen .table.inputs .td.label {
  padding: 5px 6px;
}
.hexxen .table .td.flexrow {
  display: flex;
}
.hexxen .table .td input {
  margin-left: -3px;
  margin-right: -3px;
}

/* FIXME a.control wurde für Zustände und Heilfaktoren verwendet, seit v11 Kollision mit a.header-button.control im Fenstertitel */
.hexxen a.control {
  flex: 0 0 20px;
  text-align: center;
  color: var(--hexxen-dark-color);
}

/* FIXME workaround für a.control */
.hexxen a.header-button {
  flex: none;
  color: var(--hexxen-nav-color);
}

.hexxen a.item-edit,
.hexxen a.hint {
  text-decoration: underline;
  text-decoration-style: dotted;
}

.hexxen input {
  background-color: var(--hexxen-input-bgcolor);
  border-color: var(--hexxen-input-bordercolor);
  text-align: initial;
}
.hexxen input[type="text"], input[type="password"], input[type="datetime-local"] {
  height: 23px;
}

.hexxen input[data-dtype="Number"] {
  text-align: center !important;
}
.hexxen input::placeholder {
  color: var(--hexxen-input-placeholder-color);
  opacity: 1;
}
.hexxen input.short {
  max-width: 100px;
}

.hexxen .editor {
  min-height: 100px;
  max-height: unset;
  padding: 5px 10px;
  background: var(--hexxen-editor-bgcolor);
  border: var(--hexxen-editor-border);
  border-radius: 3px;
  text-align: justify;
}
.hexxen .editor .editor-content {
  height: 100%;
  overflow-y: unset;
}
.hexxen .editor .tox.tox-tinymce {
  min-height: 150px;
  max-height: 350px;
}
.hexxen .editor p:first-of-type {
  margin-top: 1px;
}
.hexxen .editor p:last-of-type {
  margin-bottom: 1px;
}
.hexxen .dice-formula {
  border: unset;
  box-shadow: unset;
  background: unset;
}
.hexxen .dice-formula + .hexxen.dice-tooltip {
  border-top: 1px solid #999;
  padding-top: 3px;
}
.hexxen.hex-prompt,
.hexxen.hex-roll,
.hexxen.hex-chat,
.hexxen.inline-roll.inline-result {
  background: #DDD;
  padding: 1px 4px;
  border: var(--hexxen-box-border);
  border-radius: 2px;
  white-space: nowrap;
  word-break: break-all;
}
.hexxen.inline-roll.inline-result {
  line-height: 26px; /* TODO: besser layouten */
  padding: 2px 4px;
}
.hexxen.dice-roll .roll.dh,
.hexxen.dice-tooltip .roll.dh {
  width: var(--hexxen-chat-dice-size);
  background-image: unset;
}
.hexxen.dice-roll .roll img,
.hexxen.dice-tooltip .roll img {
  vertical-align: top;
  border: 1px solid transparent;
  border-radius: 15%;
}
/* TODO: formula und symbol reorganisieren  */
.hexxen.dice-roll .result-symbol,
.hexxen.inline-result .result-symbol {
  width: 20px;
  height: 20px;
  vertical-align: -3px;
  border: 1px solid black;
  border-radius: 15%;
}
.hexxen.dice-roll .dice-formula img {
  width: 32px;
  height: 32px;
  vertical-align: -7px;
  border: 1px solid transparent;
  border-radius: 15%;
  margin-left: 2px;
}
.hexxen.dice-tooltip .part-formula img {
  width: 20px;
  height: 20px;
  vertical-align: -5px;
  border: 1px solid transparent;
  border-radius: 15%;
  margin-left: 4px;
}
.hexxen.dice-roll .part-total .result-symbol,
.hexxen.dice-tooltip .part-total .result-symbol,
.hexxen.inline-result .result-symbol {
  width: 16px;
  height: 16px;
  vertical-align: -2px;
}
.hexxen.inline-result .result-symbol {
  vertical-align: -3px;
}
.hexxen.dice-roll .part-total .dice-subtotal,
.hexxen.inline-result .dice-subtotal {
  margin: 0 2px;
}
.hexxen.dice-roll .dice-total .dice-subtotal,
.hexxen .dice-formula .part-formula {
  margin: 0 5px;
}

.hexxen .note {
  font-size: 0.8em;
  margin: 2px;
  line-height: initial;
}
.hexxen .hint {
  font-size: 0.8em;
  color: var(--hexxen-hint-color);
  flex: unset;
  line-height: initial;
  margin: unset;
}
.hexxen .hint .inline {
  display: inline-block;
  width: calc(100% - 15px);
}
.hexxen i.fa-info-circle {
  font-size: 0.8em;
  vertical-align: top;
}
.hexxen .seperator {
  display: block;
  width: 100%;
  height: 12px;
  min-height: 12px;
  margin: 10px 0;
  border: none;
  background-image: var(--hexxen-seperator-image);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.hexxen .last {
  height: 1px;
}

.hexxen div.inc-btn {
  position: relative;
}
.hexxen div.inc-btn div.controls {
  display: none;
  font-size: 0.8em;
}
.hexxen div.inc-btn div.controls .control {
  position: absolute;
  line-height: 24px;
  top: 0px;
}
.hexxen div.inc-btn div.controls .left {
  left: 7px;
}
.hexxen div.inc-btn div.controls .right {
  right: 7px;
}

.hexxen.sheet .deco-header {
  flex: 0 0 30px;
  position: relative;
}
.hexxen.sheet .deco-header .header-decoration {
  position: absolute;
  top: -196px;
  width: 100%;
  height: 400px;
  z-index: 10;
  background-image: url("/systems/hexxen-1733/img/sheet_decoration_crow.png");
  background-position: center;
  background-size: 50%;
  background-repeat: no-repeat;
  pointer-events: none;
}
.hexxen.sheet .deco-header .window-header {
  position: absolute;
  width: 100%;
  height: 30px;
  z-index: 20;
}
.hexxen.sheet .window-content {
  height: 100%;
  padding: 0px;
  overflow-y: hidden;
  background-image: var(--hexxen-sheet-background-image);
  background-color: var(--hexxen-sheet-background-color);
}
.hexxen.world.sheet .window-content,
.hexxen.world.sheet .tab[data-tab],
.hexxen.compendium.sheet .window-content,
.hexxen.compendium.sheet .tab[data-tab] {
  background-blend-mode: overlay;
}
.hexxen.sheet .seperator {
  margin: 2px 0;
}
.hexxen.sheet .window-resizable-handle {
  z-index: 50;
  cursor: nwse-resize;
}

.hexxen.sheet .sheet-header {
  position: relative;
  z-index: 15;
  display: grid;
  text-align: center;
  padding: 8px;
}
.hexxen.sheet .sheet-header h1 .value {
  height: 42px;
  line-height: 42px;
  margin: unset;
  width: 100%;
}
.hexxen.sheet div.value.value-box,
.hexxen.sheet span.value.value-box {
  border-bottom: var(--hexxen-value-span-border);
  background-color: var(--hexxen-value-span-bgcolor);
  border-radius: 2px;
  padding: 0 4px;
  text-align: center;
}
.hexxen.sheet .tabs {
  height: 40px;
  padding: 0px 20px;
  margin: unset;
  background: var(--hexxen-nav-bgcolor);
  background-image: var(--hexxen-nav-background-image);
  background-position-x: center;
  background-size: cover;
  border-top: var(--hexxen-nav-border);
  border-bottom: var(--hexxen-nav-border);
}
.hexxen.sheet .tabs .item {
  position: relative;
  flex: 1 1 0px;
  padding-top: 2px;
  font-size: 1.125em;
  font-weight: bold;
  line-height: 39px;
  color: var(--hexxen-nav-color);
  text-shadow: 0 0 1px var(--hexxen-nav-shadow-color2),
               0 0 2px var(--hexxen-nav-shadow-color2),
               0 0 6px var(--hexxen-nav-shadow-color);
}
.hexxen.sheet .tabs .item.rules-tab {
  flex: 0 0 60px;
}
.hexxen.sheet .tabs .item .item-bg {
  position: absolute;
  z-index: 20;
  top: 2px;
  left: max(0px, calc((100% - 200px)/2));
  width: calc(min(100%, 200px) + 10px);
  height: 44px;
  padding: 0 5px;
  margin: 0 -5px;
  text-decoration: none;
}
.hexxen.sheet .tabs .item.active .item-bg,
.hexxen.sheet .tabs .item:hover .item-bg {
  color: var(--hexxen-nav-active-color);
  text-shadow: 0 0 1px var(--hexxen-nav-active-shadow-color2),
               0 0 2px var(--hexxen-nav-active-shadow-color2),
               0 0 6px var(--hexxen-nav-active-shadow-color),
               0 0 8px var(--hexxen-nav-active-shadow-color);
  background-image: var(--hexxen-nav-active-background-image);
  background-size: min(100%, 200px) 100%;
  background-repeat: no-repeat;
  background-position: center;
}
.hexxen.sheet .tabs .item:hover:not(.active) .item-bg {
  opacity: 0.65;
}
.hexxen.sheet .tab {
  scrollbar-width: thin;
}
.hexxen.sheet .sheet-body {
  overflow: hidden;
  position: relative;
  z-index: 10;
}
.hexxen.sheet .sheet-body .tab[data-tab].active {
  display:grid;
}
.hexxen.sheet .sheet-body .tab[data-tab] {
  align-content: start;
  align-items: start;
  grid-auto-rows: max-content;
  grid-gap: 4px;
  overflow-y: auto;
  background-attachment: local;
  background-image: var(--hexxen-sheet-background-image);
  background-color: var(--hexxen-sheet-background-color);
  height: 100%;
  padding: 8px;
}
.hexxen.sheet .sheet-body header {
  color: var(--hexxen-header-color);
  background: var(--hexxen-header-bgcolor);
  border: var(--hexxen-header-border);
  border-radius: 4px;
  text-align: center;
  font-weight: bold;
}
.hexxen.sheet .sheet-body .block-header {
  margin: 0px -3px;
  padding: 4px 8px 3px;
}
.hexxen.sheet .sheet-body .block-header > * {
  margin: 0 3px;
}
